Page MenuHomePhabricator

1.32.0-wmf.14 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.14
Release Date
1532304000
Related Gerrit Patches:
operations/mediawiki-config : masterRevert "all wikis to 1.32.0-wmf.14"
operations/mediawiki-config : masterRevert "group1 wikis to 1.32.0-wmf.14"

2018 week 30 1.32-wmf.14 Changes wmf/1.32.0-wmf.14

This MediaWiki Train Deployment is scheduled for the week of Monday, July 23rd:

Monday July 23rdTuesday, July 24thWednesday, July 25thThursday, July 26thFriday
SWAT deployments only.Branch wmf.14 and deploy to Group 0 Wikis.Deploy wmf.14 to Group 1 Wikis.Deploy wmf.14 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.14 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.13
Next: 1.32.0-wmf.15

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Medium priority.Mar 29 2018, 6:15 PM
greg assigned this task to hashar.Jul 5 2018, 5:33 PM
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin added a subscriber: hashar.

Change 448009 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[operations/mediawiki-config@master] Revert "group1 wikis to 1.32.0-wmf.14"

https://gerrit.wikimedia.org/r/448009

Change 448009 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "group1 wikis to 1.32.0-wmf.14"

https://gerrit.wikimedia.org/r/448009

About T200420 at #wikimedia-operations:

[16:24:31] <addshore>	 zeljkof: that ticket probably shouldnt block the train now, and it's probably find to move wikidatawiki to .14 too

Change 448095 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[operations/mediawiki-config@master] Revert "all wikis to 1.32.0-wmf.14"

https://gerrit.wikimedia.org/r/448095

Change 448095 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "all wikis to 1.32.0-wmf.14"

https://gerrit.wikimedia.org/r/448095

1.32.0-wmf.14 is deployed everywhere, all is good.

mmodell closed this task as Resolved.Aug 1 2018, 8:03 PM